> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List transfers for the app resolved by the API key

> List app-scoped transfers for the app associated with the calling API key. This is the app-id-free transfer history route used by the current HEVN CLI wrapper.



## OpenAPI

````yaml /openapi.json get /api/v1/apps/transfers
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/apps/transfers:
    get:
      tags:
        - apps
        - apps-transfer
      summary: List transfers for the app resolved by the API key
      description: >-
        List app-scoped transfers for the app associated with the calling API
        key. This is the app-id-free transfer history route used by the current
        HEVN CLI wrapper.
      operationId: list_transfers_api_v1_apps_transfers_get
      parameters:
        - name: idempotency_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency Key
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
          description: >-
            Alternative API key header. Use Authorization Bearer by default, or
            X-Api-Key when that header mode is configured.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/McpTransactionResponse'
                title: Response List Transfers Api V1 Apps Transfers Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - ApiKeyAuth: []
components:
  schemas:
    McpTransactionResponse:
      properties:
        txHash:
          type: string
          title: Txhash
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        receiverEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Receiveremail
        receiverAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Receiveraddress
        transactionLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Transactionlink
        time:
          type: string
          format: date-time
          title: Time
      type: object
      required:
        - txHash
        - time
      title: McpTransactionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Alternative HEVN API key header. The CLI defaults to Authorization
        Bearer unless configured with HEVN_API_KEY_HEADER=X-Api-Key.

````